Is one string part of another string?

author | Hans Lellelid <hans@xmpl.org> (Phing)
author | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
version | $Id: 6cdecc53a715fce4601b1ceb64c8ec95d29c1468 $
package | phing.tasks.system.condition

### Methods

## Check whether string contains substring.

    evaluate() : boolean

### Exceptions

`\BuildException` |

### Returns

`boolean`

## Whether to search ignoring case or not.

    setCaseSensitive($b)

### Parameters

#### $b

## The string to search in.

    setString(string $a1)

### Parameters

#### $a1

`string`

## The string to search for.

    setSubstring(string $a2)

### Parameters

#### $a2

`string`

### Properties

##

    $caseSensitive

##

    $string

##

    $subString